<!DOCTYPE html>
<html lang="pt-br" ng-app="appStartWars">        
  <head>
    <title>Star Wars</title>
    <meta charset="utf-8">
    
    <link rel="stylesheet" type="text/css" type="text/css" href="../css/bootstrap.css" />
    <link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css">

    <!--Import Google Icon Font-->
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    
    <!--Import materialize.css-->
    <link type="text/css" rel="stylesheet" href="../css/materialize.min.css"  media="screen,projection"/>
    
    <!--Let browser know website is optimized for mobile-->
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>    

    <script type="text/javascript" src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
    
    <script type="text/javascript" src="../js/materialize.min.js"></script>
    <script type="text/javascript" src="../js/angular/modules/angular.js"></script> 
    
    <!-- ANGULAR CONFIG -->
    <script type="text/javascript" src="../js/angular/app/app.module.js"></script>
    <script type="text/javascript" src="../js/angular/app/constants.js"></script>
    <script type="text/javascript" src="../js/angular/modules/angular-ui-router.min.js"></script>    
    
    <!-- INDEX CONTROLLER AND SERVICE --> 
    <script type="text/javascript" src="../js/angular/controllers/controller_index.js"></script>
        <script type="text/javascript" src="../js/angular/services/service_index.js"></script>

    <!-- NOTIFY -->
    <script type="text/javascript" src="../js/angular/modules/angular-growl.min.js"></script>
    <link rel="stylesheet" type="text/css" type="text/css" href="../css/angular-growl.min.css"/>
    <script type="text/javascript" src="../js/angular/modules/angular-notification-icons.min.js"></script> 
    <link rel="stylesheet" type="text/css" type="text/css" href="../css/angular-notification-icons.css" />

    <!-- ESTILO PERSONALIZADO -->
    <link rel="stylesheet" type="text/css" type="text/css" href="../css/index.css" />

    <!-- DIR PAGINATION -->
    <script type="text/javascript" src="../js/angular/modules/dirPagination.js"></script>
<!--     <script type="text/javascript" src="../js/angular/modules/dirPagination.spec.js"></script>
 -->    
    
  </head>
  <body  ng-controller="indexCtrl" class="interna geral">
    <center>
      <h4>Bem vindo(a)!</h4>        
      Para facilitar o acesso utilize o filtro abaixo.
    </center>
    <div ng-show="!exibir" class="row">
        <form class="col s12">
          <div class="row">
            <div class="input-field col s12">
              <input id="nome" type="text" class="validate" ng-model="search">
              <label for="nome">Digite o nome, altura ou cor</label>
            </div>
          </div>
        </form>
    </div>    
    <div ng-hide="AbsentEmployees.dataLoaded" class="preloader">
        <!-- image here via CSS -->
    </div>
    <div ng-show="!exibir" class="row" ng-show="AbsentEmployees.dataLoaded">
        <div class="collection">
            <a ng-click="exibirDetalhes(personagem)" class="collection-item" dir-paginate="personagem in personagens.results  | itemsPerPage: 5 | filter:search | orderBy : '-name'">{{personagem.name+" | "+personagem.height +" | "+personagem.eye_color}}</a>
        </div>
        <dir-pagination-controls 
          boundary-links="true" 
          direction-links="true" >
        </dir-pagination-controls>
    </div>
    <div ng-show="exibir" class="row">
      <div class="collection">
        <a href="#!" class="collection-item">
          <b>Nome: </b>{{pers.name}}<br>
          <b>Cor dos olhos: </b>{{pers.eye_color}}<br>
          <b>Gênero: </b>{{pers.gender}}<br>
          <b>Cor dos cabelos: </b>{{pers.hair_color}}<br>
          <b>Altura: </b>{{pers.height}}<br>
          <b>Ano de aniversário: </b>{{pers.birth_year}}<br>
          <b>Cor da calça: </b>{{pers.skin_color}}<br>
        </a>
      </div>
      <a ng-click="voltar()" class="waves-effect waves-light btn">Voltar</a>      
    </div>
</body>   
</html>